<!DOCTYPE html>
<html lang="en">
<head>
</head>
<body style="margin: 0; padding:0;">

<div id="fb-root"></div>

<div id="button_container"></div>


<script>

    function replaceAll(str, find, replace) {
        return str.replace(new RegExp(find, 'g'), replace);
    }

    var QueryString = function () {
        // This function is anonymous, is executed immediately and
        // the return value is assigned to QueryString!
        var query_string = {};
        var query = window.location.search.substring(1);
        var vars = query.split("&");
        for (var i=0;i<vars.length;i++) {
            var pair = vars[i].split("=");
            // If first entry with this name
            if (typeof query_string[pair[0]] === "undefined") {
                query_string[pair[0]] = decodeURIComponent(pair[1]);
                // If second entry with this name
            } else if (typeof query_string[pair[0]] === "string") {
                var arr = [ query_string[pair[0]],decodeURIComponent(pair[1]) ];
                query_string[pair[0]] = arr;
                // If third or later entry with this name
            } else {
                query_string[pair[0]].push(decodeURIComponent(pair[1]));
            }
        }
        return query_string;
    }();

    var x = document.getElementById("button_container");   // Get the element with id="demo"

    var link = QueryString.v;
//    link = replaceAll(link, "---", "&");
//    link = replaceAll(link, "--", "=");
//    link = replaceAll(link, "-", "?");

    link = link.replace("---", "&");
    link = link.replace("--", "=");
    link = link.replace("--", "=");
    link = link.replace("-", "?");


    var button1 = document.createElement("div");
    button1.setAttribute("class", "fb-share-button");
    button1.setAttribute("data-href", link);
    button1.setAttribute("data-layout", "button");

    x.appendChild(button1);


        (function(d, s, id) {
        var js, fjs = d.getElementsByTagName(s)[0];
        if (d.getElementById(id)) return;
        js = d.createElement(s); js.id = id;
        js.src = "//connect.facebook.net/en_US/sdk.js#xfbml=1&version=v2.5&appId=199208636892552";
        fjs.parentNode.insertBefore(js, fjs);
    }(document, 'script', 'facebook-jssdk'));

</script>




</body>
</html>